Subject: Re: Addendum to server upgrade notice

From: David Meleedy <[email-masked]>
Date: Mon, 12 Dec 1994 15:07:23 -0500

> There is no file, /home/dmm/www/sample.html.

Correct... that was an illustrative example.

> I have one more question about the way HEAD handles it.
> I looks to me that one needs a subdirectory ~user/www and all the html files
> have to be there. But URL points ~user/*.html instead of ~user/www/*.html.
> Is there a specific reason for doing this?

Yes,
	The reason is that the server maps all requests for ~user to
the user's home directory in /home/user/www.  This is done because most
people would prefer a subdirectory for all their www files (as it can
get most messy if they are in the top level of the users home
directory).  Now it is pretty much a standard that when you use http to
access a site, you can access it by doing http://site-name/~user. 
There is no point to adding a /www to the end of that because the
server can map it for you.

> What are the differences if I select in "Open URL"
> http://hea-www.harvard.edu/~dmm/sample.html

goes through our httpd daemon on head-cfa.  Tries to load the file
/home/dmm/www/sample.html.  This fails as I do not have this file
in my ~/www directory.

> file://hea-www.harvard.edu/home/dmm/www/sample.html, or

tries to find the file /home/dmm/www/sample.html in the anonymous ftp
area on head-cfa.  This will fail, as there are no home directories
available through anonymous ftp.

> file://cfa.harvard.edu/home/dmm/www/sample.html

This will not work, as cfa.harvard.edu does not allow anonymous ftp
logins at all.

========
David Meleedy                          Smithsonian Astrophysical Observatory
[email-masked]               60 Garden Street, MS 70
Phone: 617 495 7252                    Cambridge, MA  02138  USA